//
//  VideoArchivesModel.h
//  VideoCompose

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>
#import <AssetsLibrary/AssetsLibrary.h>
#import <UIKit/UIKit.h>

@protocol VideoArchivesDelegate
    -(void) zipDidExpand;
    -(void) zipDidFail;
    -(void) transcodeProgress:(CGFloat) percentage;
    -(void) transcodeDidBegin;
    -(void) transcodeDidEnd:(NSURL*)composedVideoPath;
    -(void) transcodeDidFail;
    -(void) warnOnNotEnoughDiskSpace:(NSInteger)bytesNeeded;
    -(void) setUIMessage:(NSString*) message;
@end

@interface VideoArchivesModel : NSObject
    -(id) init:(id) uiDelegate;
    -(id) setDelegate:(id<VideoArchivesDelegate>) delegate;
    -(void) composeVideoFromZip:(NSURL*)zipURL videoRect1:(CGRect)videoRect1 videoRect2:(CGRect)videoRect2 composedWidth:(CGFloat)composedWidth composedHeight:(CGFloat)composedHeight targetVideoBitrate:(NSInteger)targetVideoBitrate targetAudioBitrate:(NSInteger)targetAudioBitrate;

    @property (weak, nonatomic) id<VideoArchivesDelegate> ui_delegate;        /* Class that we use to interact with the user interface */
    @property (weak, nonatomic) NSString *documentPath1;
@end
